Subject: bug#28272: closed (Re: [bug#28272] [PATCH] Improve and upgrade signing-party.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Sep 2017 22:04:02 +0000

Your bug report

#28272: [PATCH] Improve and upgrade signing-party.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28272: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28272
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#28272] [PATCH] Improve and upgrade signing-party.
From: Christopher Baines <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Tue, 12 Sep 2017 23:03:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, 08 Sep 2017 18:07:01 +0200
[email-masked] (Ludovic Courtès) wrote:

> Christopher Baines <[email-masked]> skribis:
> 
> > Add several missing dependencies, particularly for the caff tool. It
> > now runs, but I've been unable to get it working fully yet, possibly
> > due to problems with the actual sending of the emails.
> >
> > Christopher Baines (12):
> >   gnu: Add perl-moox.
> >   gnu: Add perl-data-perl.
> >   gnu: Add perl-moox-handlesvia.
> >   gnu: Add perl-moox-late.
> >   gnu: Add perl-convert-binhex.
> >   gnu: Add perl-mailtools.
> >   gnu: Add perl-mime-tools.
> >   gnu: Add perl-net-idn-encode.
> >   gnu: Add perl-text-template.
> >   gnu: Add perl-gnupg-interface.
> >   gnu: Add libmd.
> >   gnu: Update signing-party.  
> 
> At first sight this looks good to me.
> 
> Please use ‘license:perl-license’ instead of (package-license perl).
> 
> OK with this change, thank you!

I've updated the licence for the packages, and now pushed :) Thanks
for reviewing.

Subject: [PATCH] Improve and upgrade signing-party.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 29 Aug 2017 07:07:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Add several missing dependencies, particularly for the caff tool. It
now runs, but I've been unable to get it working fully yet, possibly
due to problems with the actual sending of the emails.

Christopher Baines (12):
  gnu: Add perl-moox.
  gnu: Add perl-data-perl.
  gnu: Add perl-moox-handlesvia.
  gnu: Add perl-moox-late.
  gnu: Add perl-convert-binhex.
  gnu: Add perl-mailtools.
  gnu: Add perl-mime-tools.
  gnu: Add perl-net-idn-encode.
  gnu: Add perl-text-template.
  gnu: Add perl-gnupg-interface.
  gnu: Add libmd.
  gnu: Update signing-party.

 gnu/packages/crypto.scm |  31 +++++
 gnu/packages/gnupg.scm  |  79 +++++++++++--
 gnu/packages/perl.scm   | 307 ++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 406 insertions(+), 11 deletions(-)